packages: mysql/mysql.init - sync msg_usage order and add all actions to list

glen glen at pld-linux.org
Thu Apr 8 22:16:05 CEST 2010


Author: glen                         Date: Thu Apr  8 20:16:05 2010 GMT
Module: packages                      Tag: HEAD
---- Log message:
- sync msg_usage order and add all actions to list

---- Files affected:
packages/mysql:
   mysql.init (1.139 -> 1.140) 

---- Diffs:

================================================================
Index: packages/mysql/mysql.init
diff -u packages/mysql/mysql.init:1.139 packages/mysql/mysql.init:1.140
--- packages/mysql/mysql.init:1.139	Fri Nov 27 09:53:43 2009
+++ packages/mysql/mysql.init	Thu Apr  8 22:16:00 2010
@@ -551,10 +551,10 @@
 RETVAL=0
 case "$action" in
   start)
-  	start
+	start
 	;;
   stop)
-  	stop
+	stop
 	;;
   restart)
 	stop
@@ -566,6 +566,21 @@
   force-reload)
 	condrestart 7
 	;;
+  init)
+	for mysqldir in $DB_CLUSTERS; do
+		mysqlinit "$mysqldir"
+	done
+	exit $?
+	;;
+  flush-logs)
+	for mysqldir in $DB_CLUSTERS; do
+	    mysqlgetconfig "$mysqldir"
+		# just if mysqld is really running
+		if /usr/bin/mysqladmin --defaults-file="$MYSQL_CONFIG" --socket="$MYSQL_SOCKET" ping >/dev/null 2>&1; then
+			/usr/bin/mysqladmin --defaults-file="$MYSQL_CONFIG" --socket="$MYSQL_SOCKET" flush-logs
+		fi
+	done
+	;;
   status)
 	for mysqldir in $DB_CLUSTERS; do
 		mysqlstatus "$mysqldir"
@@ -616,23 +631,8 @@
 		done
 	fi
 	;;
-  init)
-	for mysqldir in $DB_CLUSTERS; do
-		mysqlinit "$mysqldir"
-	done
-	exit $?
-	;;
-  flush-logs)
-  	for mysqldir in $DB_CLUSTERS; do
-	    mysqlgetconfig "$mysqldir"
-		# just if mysqld is really running
-		if /usr/bin/mysqladmin --defaults-file="$MYSQL_CONFIG" --socket="$MYSQL_SOCKET" ping >/dev/null 2>&1; then
-			/usr/bin/mysqladmin --defaults-file="$MYSQL_CONFIG" --socket="$MYSQL_SOCKET" flush-logs
-		fi
-	done
-	;;
   *)
-	msg_usage "$0 {start|stop|init|restart|try-restart|force-reload|status}"
+	msg_usage "$0 {start|stop|restart|try-restart|force-reload|init|flush-logs|status}"
 	exit 3
 esac
 
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/mysql/mysql.init?r1=1.139&r2=1.140&f=u



More information about the pld-cvs-commit mailing list